/******** <lalVerbatim file="FCTMyInterfCV"> ******** 
Author: Wen, L. 
$Id: FCTMyPhaseFunc.c,v 1.3 2001/05/16 00:00:26 lwen Exp $ 
********* </lalVerbatim> ********/ 
#include <lal/LALDatatypes.h>
#include <lal/LALFCTInterface.h>
#include <math.h>


#define  f0 175.0L /*  specific to Inspiral */
#define  fcutoff  40.0L
#define  Nyq 1024.0L
#define  LAL_PI  3.1415926



REAL4 phaseFunc1(REAL4 x)
{
    const REAL8 pwr = -5.0/3.0;

    /* Convert x from fraction of Nyquist to Hz */
    const REAL8 f = x*Nyq;

    /*
      Calculate the maximum, should be 1.228813747211459e+03 for our
      choice of f0 and fcutoff
    */
    const REAL8 max = 3.0/5.0*f0*pow(fcutoff/f0, pwr);

    if (f <= fcutoff)
    {
        return 0.0;
    }
    else
    {
        return (3.0/5.0*f0*pow(f/f0, pwr)/max);
    }
}
REAL4 phaseFunc2(REAL4 x)
{
    /* Convert x from fraction of Nyquist to Hz */
    const REAL8 f = x*Nyq;

    /*
      Calculate the maximum, should be 2.405281875404685e+03 for our
      choice of f0 and fcutoff
    */
    const REAL8 max = LAL_PI*f0*f0/fcutoff;

    if (f <= fcutoff)
    {
        return 0.0;
    }
    else
    {
        return LAL_PI*f0*f0/f/max;
    }
}
REAL4 phaseFunc3(REAL4 x)
{
    const REAL8 pwr = -2.0/3.0;

    /* Convert x from fraction of Nyquist to Hz */
    const REAL8 f = x*Nyq;

    /*
      Calculate the maximum, should be -7.021792841208335e+02 for our
      choice of f0 and fcutoff
    */
    const REAL8 max = -3.0/2.0*f0*pow(f/f0, pwr);

    if (f <= fcutoff)
    {
        return 0.0;
    }
    else
    {
        return -3.0/2.0*f0*pow(f/f0, pwr)/max;
    }
}

REAL4 phaseFunc4(REAL4 x)
{
    x = 0.0;

    return 1.0;
}

LALFCTPhaseFn phaseFuncArray[]={phaseFunc1,phaseFunc2,phaseFunc3,phaseFunc4};





