/* -*- mode: c; c-basic-offset: 2; -*- */
/******** <lalVerbatim file="slopeHV"> ********
Author: Daw, E
$Id: Slope.h,v 1.1 2001/08/27 05:24:04 patrick Exp $
********* </lalVerbatim> ********/

#ifndef _SLOPE_H
#define _SLOPE_H

#include <lal/LALRCSID.h>
#include <LALWrapperInterface.h>

NRCSID( SLOPEH, "$Id: ");

/******** <lalErrTable file="SlopeHErrTab"> */

#define SLOPE_DEFAULT_CHANNEL "H2:LSC-AS_Q"
#define SLOPE_DEFAULT_SAMPLING_RATE 16384.0
#define SLOPE_DEFAULT_THRESHOLD 100.0
#define SLOPE_DEFAULT_MEASURE_WIDTH 64      /*number of bins used to*/
                                            /*estimate the slope*/
#define SLOPE_DEFAULT_CORRELATED_WIDTH 300  /*number of adjacent bins*/
                                            /*counted as one peak*/
                                            /*in the peak search */

#define CONDITIONDATA_NONTSDATA 1
#define CONDITIONDATA_DATATYPEUNSUP 2
#define CONDITIONDATA_NOSUCHCHANNEL 3
#define APPLYSEARCH_NOSLAVES 4

#define CONDITIONDATA_NONTSDATAMESG "Non timeseries data"
#define CONDITIONDATA_DATATYPEUNSUPMESG "Data type unsupported"
#define CONDITIONDATA_NOSUCHCHANNELMESG "Channel not found in data"
#define APPLYSEARCH_NOSLAVESMESG "Slaves not supported"

/*define errors for condition data and apply search routines here*/

/******** </lalErrTable> */

typedef struct tagSlopeDetections {

  struct tagSlopeDetections* previous;
  UINT4 eventDetectionTimeSeconds;
  UINT4 eventDetectionTimeNanoseconds;
  REAL4 eventAmplitude;
  REAL4 eventDuration;
  REAL4 eventCentralFrequency;
  REAL4 eventBandwidth;
  struct tagSlopeDetections* next;

} SlopeDetections;

typedef struct
tagSlopeSearchParams {

  /* indicates whether search has started */
  BOOLEAN     searchStarted;

  /* taps for slope detector filter */
  UINT4       nSamplesInHistoryBuffer;
  REAL4*      dataHistoryBuffer;

  /* channel information */
  CHAR        channelName[ maxMultiDimName ]; /*[ 256 ]*/
  REAL4       samplingRate;
  UINT4       startTimeSec;
  UINT4       startTimeNan;
  UINT4       nData;
  REAL4*      dataNew;

  /* filter information */
  UINT4       numberOfBinsForSlopeMeasure;
  REAL4       timeIntervalForSlopeMeasure;

  /* trigger information */
  REAL4       triggerThreshold;
  UINT4        numberOfTriggersSoFar;
  UINT4        numberOfInitialBinsToSkip;
  UINT4        peakWidth;

  /* MPI information */
  BOOLEAN     mpiMaster;
  INT4        mpiRank;

  /* pointers to first and current event in linked list */
  SlopeDetections* firstEvent;
  SlopeDetections* currentEvent;

} SlopeSearchParams;


#endif /* _SLOPE_H */



















