/**** <lalVerbatim file="StochasticBarApplySearchHV">
Author: Anderson, W.G., Heng, I.S., Romano, J.D., and Whelan, J.T.
$Id: StochasticBarApplySearch.h,v 1.6 2001/09/02 05:54:27 heng Exp $
**************************************************** </lalVerbatim> */

/******************************* <lalLaTeX file="StochasticBarApplySearchH">
\section{Header \texttt{StochasticBarApplySearch.h}}
\label{s:StochasticBarApplySearch.h}

Header file for ...

\subsection*{Synopsis}
\begin{verbatim}
#include "StochasticBarApplySearch.h"
\end{verbatim}

\noindent
This header ...

\subsection*{Error conditions}
\input{StochasticBarApplySearchHErrTab}

\subsection*{Structures}
  
\vfill{\footnotesize\input{StochasticBarApplySearchHV}}

\newpage\input{StochasticBarApplySearchC}

*************************************************** </lalLaTeX> */

#ifndef _STOCHASTICAPPLYSEARCH_H
#define _STOCHASTICAPPLYSEARCH_H

#include "LALWrapperInterface.h"
#include "StochasticBar.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (STOCHASTICAPPLYSEARCHH, "$Id: StochasticBarApplySearch.h,v 1.6 2001/09/02 05:54:27 heng Exp $");

/******** <lalErrTable file="StochasticBarApplySearchHErrTab"> ********/
#define STOCHASTICAPPLYSEARCHH_ENULL      1
#define STOCHASTICAPPLYSEARCHH_ENNUL      2
#define STOCHASTICAPPLYSEARCHH_EMSTR      3 
#define STOCHASTICAPPLYSEARCHH_ERANK      4
#define STOCHASTICAPPLYSEARCHH_EALOC      5

#define STOCHASTICAPPLYSEARCHH_MSGENULL   "Null pointer"
#define STOCHASTICAPPLYSEARCHH_MSGENNUL   "Non-null pointer"
#define STOCHASTICAPPLYSEARCHH_MSGEMSTR   "Search master not being used"
#define STOCHASTICAPPLYSEARCHH_MSGERANK   "Search master has incorrect rank"
#define STOCHASTICAPPLYSEARCHH_MSGEALOC   "Memory allocation error"
/******** </lalErrTable> ********/

#define STOCHASTICAPPLYSEARCHH_PROGNAME   "stochasticDSO"
  /* #define STOCHASTICAPPLYSEARCHH_MIMETYPE   "Subtype 4 - cross-spectrum" */
  /* #define STOCHASTICAPPLYSEARCHH_CHANNEL     "Hanford 4km differential mode - Livingston 4km differential mode cross correlation spectrum" */
#define STOCHASTICAPPLYSEARCHH_CHANNEL     "optimally filtered cross-correlation spectrum"
#define STOCHASTICAPPLYSEARCHH_SPECTYPE    "IFO IFO differential mode cross correlation spectrum for stochastic background search"

#if     WORDS_BIGENDIAN
#define STOCHASTICAPPLYSEARCHH_MIMETYPE    "x-ligo/complex-spectrum-big"
#else
#define STOCHASTICAPPLYSEARCHH_MIMETYPE    "x-ligo/complex-spectrum-little"
#endif


void StochasticBarBuildOutput (
    LALStatus*               status,
    LALSearchOutput*         output,
    COMPLEX8FrequencySeries* spec,
    gpsTimeInterval          timeInterval   
);

#ifdef  __cplusplus
}
#endif /* C++ protection */

#endif /* _STOCHASTICAPPLYSEARCH_H */

