/**** <lalVerbatim file="StochasticConditionDataHV">
Author: Anderson, W.G., Romano, J.D., and Whelan, J.T.
$Id: StochasticConditionData.h,v 1.7 2001/08/27 03:47:08 whelan Exp $
**************************************************** </lalVerbatim> */

/******************************* <lalLaTeX file="StochasticConditionDataH">
\section{Header \texttt{StochasticConditionData.h}}
\label{s:StochasticConditionData.h}

Header file for ...

\subsection*{Synopsis}
\begin{verbatim}
#include "StochasticConditionData.h"
\end{verbatim}

\noindent
This header ...

\subsection*{Error conditions}
\input{StochasticConditionDataHErrTab}

\subsection*{Structures}

None.

*************************************************** </lalLaTeX> */

#ifndef _STOCHASTICCONDITIONDATA_H
#define _STOCHASTICCONDITIONDATA_H

#include "LALWrapperInterface.h"
#include "Stochastic.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (STOCHASTICCONDITIONDATAH, "$Id: StochasticConditionData.h,v 1.7 2001/08/27 03:47:08 whelan Exp $");

/******** <lalErrTable file="StochasticConditionDataHErrTab"> ********/
#define STOCHASTICCONDITIONDATAH_ENULL      1
#define STOCHASTICCONDITIONDATAH_EMSTR      2
#define STOCHASTICCONDITIONDATAH_ENSEQ      3
#define STOCHASTICCONDITIONDATAH_ETYPE      4 
#define STOCHASTICCONDITIONDATAH_EDIMS      5
#define STOCHASTICCONDITIONDATAH_ESIZE      6
#define STOCHASTICCONDITIONDATAH_ENAME      7
#define STOCHASTICCONDITIONDATAH_EALOC      8

#define STOCHASTICCONDITIONDATAH_MSGENULL   "Null pointer"
#define STOCHASTICCONDITIONDATAH_MSGEMSTR   "Not search master"
#define STOCHASTICCONDITIONDATAH_MSGENSEQ   "Wrong number of sequences in InPut structure"
#define STOCHASTICCONDITIONDATAH_MSGETYPE   "Input data has wrong type"
#define STOCHASTICCONDITIONDATAH_MSGEDIMS   "Input data has wrong dimensions"
#define STOCHASTICCONDITIONDATAH_MSGESIZE   "Input data has wrong size"
#define STOCHASTICCONDITIONDATAH_MSGENAME   "Wrong data name in InPut structure"
#define STOCHASTICCONDITIONDATAH_MSGEALOC   "Memory allocation error"
/******** </lalErrTable> ********/

#ifdef  __cplusplus
}
#endif /* C++ protection */

#endif /* _STOCHASTICCONDITIONDATA_H */

/******************************* <lalLaTeX file="StochasticConditionDataH">
  
\vfill{\footnotesize\input{StochasticConditionDataHV}}

\newpage\input{StochasticConditionDataC}

*************************************************** </lalLaTeX> */
